# Ribotools

**Ribotools**, an _add-on_ to [Rp-Bp](http://rp-bp.readthedocs.io/en/latest/), is a toolbox for the analysis of matched ribosome profiling (Ribo-seq) and RNA sequencing (RNA-seq) data.

**Ribotools** can be used to generate count tables, starting from raw, trimmed reads, or existing alignments, taking into consideration Ribo-seq periodicity estimates and RNA-seq fragment length. **Ribotools** include scripts to perform translation efficiency (TE) analysis, accommodating for sample-to-sample variance, complex experimental designs, or confounding factors, and classifies features into different regulatory layers.

<p align="center">
  <a href="https://ribotools.readthedocs.io/en/latest"><img alt="Ribotools" src="https://github.com/eboileau/ribotools/raw/master/docs/source/_static/ribotools-logo-light.png"></a>
</p>

<p align="center">
<a href="https://pypi.org/project/ribotools/"><img alt="PyPI" src="https://img.shields.io/pypi/v/ribotools"></a>
<a href='https://ribotools.readthedocs.io/en/latest/?badge=latest'>
    <img src='https://readthedocs.org/projects/ribotools/badge/?version=latest' alt='Documentation Status' />
</a>
</p>

---

## Documentation

Consult the [user guide](https://ribotools.readthedocs.io/en/latest) for instructions on how to install the package and detailed usage instructions.

## How to report issues

For bugs, issues, or feature requests, use the [bug tracker](https://github.com/eboileau/ribotools/issues). Follow the instructions and guidelines given in the templates.

## License

The MIT License (MIT). Copyright (c) 2019 Etienne Boileau.
